# geos::index::bintree Namespace Reference

Contains classes that implement a Binary Interval Tree index. More...

## Classes

class | Bintree
| An BinTree (or "Binary Interval Tree") is a 1-dimensional version of a quadtree. More...
class | Interval
| Represents an (1-dimensional) closed interval on the Real number line. More...
class | Key
| A Key is a unique identifier for a node in a tree. More...
class | Node
| A node of a Bintree. More...
class | NodeBase
| The base class for nodes in a Bintree. More...
class | Root
| The root node of a single Bintree. More...

## Detailed Description

Contains classes that implement a Binary Interval Tree index.